| OptFEM2D Toolbox for Matlab V1.2b1 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 2D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Pages
Functions
SquareMesh.m File Reference

Initialization of the Mesh structure for a square domain. More...

Go to the source code of this file.

## Functions
function Th = | SquareMesh (N)
| Initialization of the Mesh structure for a square domain.

## Detailed Description

Initialization of the Mesh structure for a square domain.

Definition in file SquareMesh.m.

## Function Documentation

function Th = SquareMesh | ( |  | N | ) |

Initialization of the Mesh structure for a square domain.

Square domain is .

This mesh has 4 boundary labels
  - label 1 : boundary
  - label 2 : boundary
  - label 3 : boundary
  - label 4 : boundary
    There are N+1 points on each boundary.

Generated fields of mesh structure
  q: Array of vertices coordinates, array.
  is the -th coordinate of the -th vertex, and me: Connectivity array, array.
  is the storage index of the -th vertex of the -th triangle in the array of vertices coordinates, and . ql: Array of vertices labels, array. mel: Array of elements labels, array. be: Connectivity array for boundary edges, array.
  is the storage index of the -th vertex of the -th edge in the array of vertices coordinates, and . bel: Array of boundary edges labels, array. nq: total number of vertices, also denoted by nme: total number of elements, also denoted by nbe: total number of boundary edges, also denoted by areas: Array of areas, array. areas(k) is the area of the -th triangle. lbe: Array of edges lengths, array. is the length of the -th edge.

See Also
  ComputeAreaOpt, EdgeLengthOpt, GetMeshOpt

OptFEM2DP1 [V1.2b1] - Copyright (C) 2013 CJS (LAGA)

This file is part of OptFEM2DP1. OptFEM2DP1 is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

OptFEM2DP1 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Parameters

  N | integer, number of elements on a boundary

Return values

  Th | mesh structure

Definition at line 17 of file SquareMesh.m.